NotAuthorizedException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.security, class: NotAuthorizedException

Package org.apache.geode.security

# Class NotAuthorizedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.security.GemFireSecurityException
org.apache.geode.security.NotAuthorizedException

All Implemented Interfaces:
  `Serializable`

public class NotAuthorizedException extends GemFireSecurityException
Thrown when a client/peer is unauthorized to perform a requested operation.

Since:
  GemFire 5.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NotAuthorizedException(String message)`
  Constructs a new exception with the specified detail message and principal.
  `NotAuthorizedException(String message, Throwable cause)`
  Constructs a new exception with the specified detail message and cause.
  `NotAuthorizedException(String message, Throwable cause, Principal principal)`
  Constructs a new exception with the specified detail message, cause and principal.
  `NotAuthorizedException(String message, Principal principal)`
  Constructs a new exception with the specified detail message and principal.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Principal`
  `getPrincipal()`
  Returns the `principal` for which authorization failed.

  ### Methods inherited from class org.apache.geode.security.GemFireSecurityException

  `getCause, getResolvedObj, isSerializable`

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NotAuthorizedException

    public NotAuthorizedException(String message)
    Constructs a new exception with the specified detail message and principal.
    Parameters:
      `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method). (A `null` value is permitted.)

  - ### NotAuthorizedException

    public NotAuthorizedException(String message, Throwable cause)
    Constructs a new exception with the specified detail message and cause.

    If `message` is null, then the detail message associated with `cause` is automatically used as this exception's detail message.

    Parameters:
      `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method). (A `null` value is permitted.)
      `cause` - the cause (which is saved for later retrieval by the `GemFireSecurityException.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

  - ### NotAuthorizedException

    public NotAuthorizedException(String message, Principal principal)
    Constructs a new exception with the specified detail message and principal.
    Parameters:
      `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method). (A `null` value is permitted.)
      `principal` - the principal for which authorization failed. (A `null` value is permitted.)

  - ### NotAuthorizedException

    public NotAuthorizedException(String message, Throwable cause, Principal principal)
    Constructs a new exception with the specified detail message, cause and principal.

    If `message` is null, then the detail message associated with `cause` is automatically used as this exception's detail message.

    Parameters:
      `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method). (A `null` value is permitted.)
      `cause` - the cause (which is saved for later retrieval by the `GemFireSecurityException.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
      `principal` - the principal for which authorization failed. (A `null` value is permitted.)

- ## Method Details

  - ### getPrincipal

    public Principal getPrincipal()
    Returns the `principal` for which authorization failed.
    Returns:
      the `principal` for which authorization failed.